Skip to main content
`Ctrl`+`K`

# TaoParametersInitialize

Sets all the parameters in `tao` to their default value (when `TaoCreate()` was called) if they currently contain default values. Default values are the parameter values when the object’s type is set.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoParametersInitialize(Tao tao)

Collective

## Input Parameter

- tao - the `Tao` object

## Developer Note

This is called by all the `TaoCreate_XXX()` routines.

## See Also

SNES: Nonlinear Solvers, `Tao`, `TaoSolve()`, `TaoDestroy()`, `PetscObjectParameterSetDefault()`

## Level

developer

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages